import React from 'react';
import ToBPayCard from "../Card";
import "./index.less";
var ToBPayCardGroup = function ToBPayCardGroup(props) {
  var _data$list;
  var data = props.data,
    onChange = props.onChange;
  return /*#__PURE__*/React.createElement("div", {
    className: "tob-pay-card-group"
  }, /*#__PURE__*/React.createElement("div", {
    className: "tob-pay-card-group-title"
  }, data.title), /*#__PURE__*/React.createElement("div", {
    className: "tob-pay-card-group-list"
  }, data === null || data === void 0 || (_data$list = data.list) === null || _data$list === void 0 ? void 0 : _data$list.map(function (item) {
    return /*#__PURE__*/React.createElement(ToBPayCard, {
      key: item.id,
      data: item,
      onChange: onChange
    });
  })));
};
export default ToBPayCardGroup;